<?php
require_once('../../classes/body.class.php');
require_once('../../classes/db.class.php');
require_once('../../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Смена градиента');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li typeof="v:Breadcrumb"><a href="/billing/usl" rel="v:url" property="v:title">Услуги</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Смена градиента</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - <a href="/billing/usl">Услуги</a> - Смена градиента</div>';

$bill = DB::$dbs->queryFetch("SELECT * FROM billing_set WHERE id = ? LIMIT 1",array(1));

if (isset($_GET['ok'])) echo '<div class="row text_box">Сохранено!</div>';

if (isset($_POST['prim'])) {
$color_1 = check($_POST['color_1']);
$color_2 = check($_POST['color_2']);
$color_1 = str_replace('#', '', $color_1);
$color_2 = str_replace('#', '', $color_2);
if (empty($color_1) OR empty($color_2)) {
err('Заполните все поля!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
echo '<div class="row text_box">'.gradient($b['nick'],$color_1,$color_2).'</div>';
}

if (isset($_POST['add'])) {
$color_1 = check($_POST['color_1']);
$color_2 = check($_POST['color_2']);
$color_1 = str_replace('#', '', $color_1);
$color_2 = str_replace('#', '', $color_2);
if (empty($color_1) OR empty($color_2)) {
err('Заполните все поля!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
if ($b['row'] < 3)  {
if ($b['rur'] < $bill['color']) {
err('Недостаточно средств!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ? LIMIT 1", [$bill['color'],$b['id']]);
$text = 'Покупка градиента ника за [b]'.$bill['color'].' руб.[/b]';
DB::$dbs->query("INSERT INTO `billing_hist` SET `user_id` = ?, `text` = ?, `time` = ?", [$b['id'],$text,time()]);
DB::$dbs->query("UPDATE `blogger` SET `nickcolor1` = ?, `nickcolor2` = ? WHERE `id` = ? LIMIT 1", [$color_1,$color_2,$b['id']]);
}
else {
DB::$dbs->query("UPDATE `blogger` SET `nickcolor1` = ?, `nickcolor2` = ? WHERE `id` = ? LIMIT 1", [$color_1,$color_2,$b['id']]);
}
header('location: ?ok');
die();
}
echo '<div class="row text_box"><form action="?" method="post">'.($b['row'] < 3 ? '* Стоимость смены градиента составляет <b>'.$bill['color'].' руб.</b>':'Для пользователей со статусом <b>PRO</b> и выше услуга бесплатна!').'<br/>Начальный цвет (прим.: FF0000)<br/><input type="text" class="form-control"name="color_1"/><br/>Конечный цвет (прим.: 0000FF)<br/><input type="text" class="form-control"name="color_2"/><br/><input type="submit" name="add" class="btn btn-primary" value="Изменить"/> <input type="submit" name="prim" class="btn btn-primary" value="Примерить"/></form></div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>